curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Joana Souza","email":"[email protected]"}]
}'
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Eventos
Criar Evento de Calendário
Criar um evento em um calendário
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Joana Souza","email":"[email protected]"}]
}'
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Criar Evento de Calendário
Criar um novo evento em um calendário.Endpoint
POST /api/v1/calendars/{calendar_id}/events
Parâmetros de caminho
string
obrigatório
UUID do calendário.
Cabeçalhos da requisição
string
obrigatório
Token Bearer para autenticação. Formato:
Bearer talq_your_environment_token_herestring
obrigatório
Deve ser
application/json.Corpo da requisição
string
obrigatório
Título do evento.
string
Descrição opcional.
string
obrigatório
Horário de início. ISO 8601.
string
obrigatório
Horário de término. ISO 8601. Deve ser posterior a
start_at.string
Opções:
confirmed, tentative, cancelled. Padrão: confirmed.string
Tag livre de tipo de evento (ex:
meeting, block, appointment).string
UUID do usuário criador.
string
UUID do proprietário (usuário ou agente).
string
Tipo do proprietário. Opções:
user, agent.array
Array de objetos
{ name, email }.Exemplos
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"type": "meeting",
"attendees": [{"name":"Joana Souza","email":"[email protected]"}]
}'
Resposta
{
"success": true,
"data": {
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-20T15:00:00Z",
"end_at": "2024-01-20T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
}
Esta página foi útil?